<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    use HasFactory;

    protected $fillable = [
        'emp_dep_id','name','email','phone','designation','location','status'
    ];

    public function department()
    {
        return $this->belongsTo(EmpDep::class,'emp_dep_id');
    }
}
